courses
Post apiv1courses templateapply
POST
/
api
/
v1
/
courses
/
{courseId}
/
template
/
apply
cURL
curl --request POST \
--url https://tessera.edstratumlabs.ai/api/v1/courses/{courseId}/template/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hash": "<string>",
"templateId": "<string>"
}
'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/courses/{courseId}/template/apply"
payload = {
"hash": "<string>",
"templateId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hash: '<string>', templateId: '<string>'})
};
fetch('https://tessera.edstratumlabs.ai/api/v1/courses/{courseId}/template/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"course": {
"id": "<string>",
"code": "<string>",
"title": "<string>",
"term": "<string>",
"description": "<string>",
"welcome": "<string>",
"outcomes": [
"<string>"
],
"instructorIds": [
"<string>"
],
"status": "active",
"instructorNames": [
"<string>"
],
"moduleCount": 1,
"lessonCount": 1,
"publishedLessonCount": 1,
"studentCount": 1,
"progress": 0.5,
"startedLessonCount": 1,
"programId": "<string>",
"program": {
"id": "<string>",
"name": "<string>",
"accent": "teal"
}
},
"modules": [
{
"id": "<string>",
"courseId": "<string>",
"title": "<string>",
"position": 4503599627370495,
"lessons": [
{
"id": "<string>",
"moduleId": "<string>",
"courseId": "<string>",
"title": "<string>",
"minutes": 120,
"position": 4503599627370495,
"status": "draft",
"publishedAt": "<string>",
"progress": "not-started",
"draftBlockCount": 1,
"templateKey": "<string>",
"variantOf": {
"lessonId": "<string>",
"audience": "plain",
"syncedAt": "<string>"
}
}
],
"objective": "<string>",
"templateKey": "<string>"
}
]
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Body
application/json
⌘I
cURL
